
@article{tyburec_global_2021,
	title = {Global optimality in minimum compliance topology optimization of frames and shells by moment-sum-of-squares hierarchy},
	volume = {64},
	issn = {1615-147X, 1615-1488},
	url = {http://arxiv.org/abs/2009.12560},
	doi = {10.1007/s00158-021-02957-5},
	abstract = {The design of minimum-compliance bending-resistant structures with continuous cross-section parameters is a challenging task because of its inherent non-convexity. Our contribution develops a strategy that facilitates computing all guaranteed globally optimal solutions for frame and shell structures under multiple load cases and self-weight. To this purpose, we exploit the fact that the stiffness matrix is usually a polynomial function of design variables, allowing us to build an equivalent non-linear semidefinite programming formulation over a semi-algebraic feasible set. This formulation is subsequently solved using the Lasserre moment-sum-of-squares hierarchy, generating a sequence of outer convex approximations that monotonically converges from below to the optimum of the original problem. Globally optimal solutions can subsequently be extracted using the Curto-Fialkow flat extension theorem. Furthermore, we show that a simple correction to the solutions of the relaxed problems establishes a feasible upper bound, thereby deriving a simple sufficient condition of global \${\textbackslash}varepsilon\$-optimality. When the original problem possesses a unique minimum, we show that this solution is found with a zero optimality gap in the limit. These theoretical findings are illustrated on several examples of topology optimization of frames and shells, for which we observe that the hierarchy converges in a finite (rather small) number of steps.},
	language = {en},
	number = {4},
	urldate = {2023-02-02},
	journal = {Structural and Multidisciplinary Optimization},
	author = {Tyburec, Marek and Zeman, Jan and Kružík, Martin and Henrion, Didier},
	month = oct,
	year = {2021},
	note = {arXiv:2009.12560 [math]},
	keywords = {Mathematics - Optimization and Control},
	pages = {1963--1981},
	annote = {Comment: 16 pages, 7 figures},
	file = {Tyburec et al. - 2021 - Global optimality in minimum compliance topology o.pdf:/home/shenyuan/Zotero/storage/W4IAW2CM/Tyburec et al. - 2021 - Global optimality in minimum compliance topology o.pdf:application/pdf},
}

@book{ern_theory_2004,
	address = {New York, NY},
	series = {Applied {Mathematical} {Sciences}},
	title = {Theory and {Practice} of {Finite} {Elements}},
	volume = {159},
	isbn = {978-1-4419-1918-2 978-1-4757-4355-5},
	url = {http://link.springer.com/10.1007/978-1-4757-4355-5},
	language = {en},
	urldate = {2023-02-16},
	publisher = {Springer New York},
	author = {Ern, Alexandre and Guermond, Jean-Luc},
	editor = {Antman, S. S. and Marsden, J. E. and Sirovich, L.},
	year = {2004},
	doi = {10.1007/978-1-4757-4355-5},
	file = {Ern and Guermond - 2004 - Theory and Practice of Finite Elements.pdf:/home/shenyuan/Zotero/storage/9Y87Q7M8/Ern and Guermond - 2004 - Theory and Practice of Finite Elements.pdf:application/pdf},
}

@inproceedings{heidari_optimization_2009,
	address = {Palm Springs, California},
	title = {Optimization of {Peak} {Power} in {Vibrating} {Structures} via {Semidefinite} {Programming}},
	isbn = {978-1-60086-975-4},
	url = {https://arc.aiaa.org/doi/10.2514/6.2009-2181},
	doi = {10.2514/6.2009-2181},
	language = {en},
	urldate = {2023-02-23},
	booktitle = {50th {AIAA}/{ASME}/{ASCE}/{AHS}/{ASC} {Structures}, {Structural} {Dynamics}, and {Materials} {Conference}},
	publisher = {American Institute of Aeronautics and Astronautics},
	author = {Heidari, Mohammad and Cogill, Randy and Allaire, Paul and Sheth, Pradip},
	month = may,
	year = {2009},
	file = {Heidari et al. - 2009 - Optimization of Peak Power in Vibrating Structures.pdf:/home/shenyuan/Zotero/storage/SPXEJAQY/Heidari et al. - 2009 - Optimization of Peak Power in Vibrating Structures.pdf:application/pdf},
}

@book{rozvany_topology_1997,
	address = {Vienna},
	title = {Topology {Optimization} in {Structural} {Mechanics}},
	isbn = {978-3-211-82907-3 978-3-7091-2566-3},
	url = {http://link.springer.com/10.1007/978-3-7091-2566-3},
	language = {en},
	urldate = {2023-04-13},
	publisher = {Springer Vienna},
	editor = {Rozvany, G. I. N.},
	year = {1997},
	doi = {10.1007/978-3-7091-2566-3},
	file = {Rozvany - 1997 - Topology Optimization in Structural Mechanics.pdf:/home/shenyuan/Zotero/storage/XBKXSRHR/Rozvany - 1997 - Topology Optimization in Structural Mechanics.pdf:application/pdf},
}

@article{tyburec_modular-topology_2021,
	title = {Modular-topology optimization with {Wang} tilings: an application to truss structures},
	volume = {63},
	issn = {1615-147X, 1615-1488},
	shorttitle = {Modular-topology optimization with {Wang} tilings},
	url = {http://link.springer.com/10.1007/s00158-020-02744-8},
	doi = {10.1007/s00158-020-02744-8},
	abstract = {Modularity is appealing for solving many problems in optimization. It brings the benefits of manufacturability and reconfigurability to structural optimization, and enables a trade-off between the computational performance of a periodic unit cell (PUC) and the efficacy of non-uniform designs in multi-scale material optimization. Here, we introduce a novel strategy for concurrent minimum-compliance design of truss modules topologies and their macroscopic assembly encoded using Wang tiling, a formalism providing independent control over the number of modules and their interfaces. We tackle the emerging bilevel optimization problem with a combination of meta-heuristics and mathematical programming. At the upper level, we employ a genetic algorithm to optimize module assemblies. For each assembly, we obtain optimal module topologies as a solution to a convex second-order conic program that exploits the underlying modularity, incorporating stress constraints, multiple load cases, and reuse of module(s) for various structures. Merits of the proposed strategy are illustrated with three representative examples, clearly demonstrating that the best designs obtained by our method exhibited decreased compliance: by 56 up to 69\% compared with the PUC designs.},
	language = {en},
	number = {3},
	urldate = {2023-04-24},
	journal = {Structural and Multidisciplinary Optimization},
	author = {Tyburec, Marek and Zeman, Jan and Doškář, Martin and Kružík, Martin and Lepš, Matěj},
	month = mar,
	year = {2021},
	pages = {1099--1117},
	file = {Tyburec et al. - 2021 - Modular-topology optimization with Wang tilings a.pdf:/home/shenyuan/Zotero/storage/TNSK8TFP/Tyburec et al. - 2021 - Modular-topology optimization with Wang tilings a.pdf:application/pdf},
}

@article{silva_critical_2019,
	title = {A critical analysis of using the dynamic compliance as objective function in topology optimization of one-material structures considering steady-state forced vibration problems},
	volume = {444},
	issn = {0022-460X},
	url = {https://www.sciencedirect.com/science/article/pii/S0022460X18308563},
	doi = {10.1016/j.jsv.2018.12.030},
	abstract = {Material based models for topology optimization in harmonic vibration problems present some inconveniences, especially when the goal is to obtain low vibration monolithic structures for excitation frequencies above the first resonance of the initial design. In this article, the authors study the choice of the vibrational performance function to be minimized. It is shown that it is inadequate to use the dynamic compliance (the most frequently used measure in the literature for vibration optimization) as an objective function for this type of optimization (aiming to obtain one-material structures), even when applying the static compliance as a constraint function or as a weighted part of the objective function. Physical and mathematical characteristics of the dynamic compliance are presented, such as dependence on the excitation frequency, function differentiability, and tendency to a trivial minimum. Several examples are analyzed in order to illustrate the difficulties in using this measure in topology optimization of one-material structures subjected to time-harmonic external loading, even including a constraint on static compliance in an attempt to ensure engineering feasibility. After some discussion, the authors indicate the main features of a vibration measure that makes it a better candidate to represent an objective function in an optimization procedure for harmonic problems, such as the absence of antiresonances in its frequency plot and an adequate capacity of representing the global system's response.},
	language = {en},
	urldate = {2023-05-03},
	journal = {Journal of Sound and Vibration},
	author = {Silva, Olavo M. and Neves, Miguel M. and Lenzi, Arcanjo},
	month = mar,
	year = {2019},
	keywords = {Dynamic compliance, Objective function, Steady-state forced vibration, Topology optimization},
	pages = {1--20},
	file = {ScienceDirect Full Text PDF:/home/shenyuan/Zotero/storage/7DYWXQG3/Silva et al. - 2019 - A critical analysis of using the dynamic complianc.pdf:application/pdf;ScienceDirect Snapshot:/home/shenyuan/Zotero/storage/G5WVT3XL/S0022460X18308563.html:text/html},
}

@article{castro_shape_2018,
	title = {Shape preserving design of vibrating structures using topology optimization},
	volume = {58},
	issn = {1615-1488},
	url = {https://doi.org/10.1007/s00158-018-1955-x},
	doi = {10.1007/s00158-018-1955-x},
	abstract = {In several engineering components, the shape of some functional surfaces needs to be preserved in order to avoid losing performance or even its functionality when subjected to loads. This is particularly important when tight tolerances are required for operational conditions in some regions. If the deformation significantly affects product functionality, it is interesting to use a shape preserving design technique. This will often reduce deformation in a local region. To achieve that, we deal with topology optimization of elastic, continuum structures with Rayleigh damping, subjected to time-harmonic, design-independent external dynamic loading with prescribed excitation frequency, amplitude and spatial distribution. In topology optimization for vibrating structures, the obtained design should often have its resonance frequencies driven far away from the given excitation frequency in order to avoid resonance and to reduce vibration levels. In this work, we explore harmonic vibration problems with the excitation frequency lower than the first resonance frequency of the initial structure. Dynamic compliance minimization is used to improve dynamic response of the structure. An additional local dynamic compliance constraint is used to define the shape preserving problem, thus, reducing deformation in specific regions of a part named shape preserving region (SPR). A commercial FE code (ANSYSⓇ) is used to solve the finite element problem. The optimization Method of Moving Asymptotes (MMA) is used with the modified Solid Isotropic Material with Penalization (SIMP) material interpolation scheme. The effectiveness of this technique is presented using 2D plane structures. Coherent results were achieved using the proposed optimization formulation. It is possible to observe significant decrease on local deformation, at expense of little increase on global dynamic compliance.},
	language = {en},
	number = {3},
	urldate = {2023-05-12},
	journal = {Structural and Multidisciplinary Optimization},
	author = {Castro, Mattias S. and Silva, Olavo M. and Lenzi, Arcanjo and Neves, Miguel M.},
	month = sep,
	year = {2018},
	keywords = {Dynamic compliance, Topology optimization, Harmonic vibration, Local compliance, Shape preserving},
	pages = {1109--1119},
	file = {Full Text PDF:/home/shenyuan/Zotero/storage/A45VW34D/Castro et al. - 2018 - Shape preserving design of vibrating structures us.pdf:application/pdf},
}

@article{kocvara_optimization_2004,
	title = {Optimization problems with equilibrium constraints and their numerical solution},
	volume = {101},
	issn = {1436-4646},
	url = {https://doi.org/10.1007/s10107-004-0539-2},
	doi = {10.1007/s10107-004-0539-2},
	abstract = {We consider a class of optimization problems with a generalized equation among the constraints. This class covers several problem types like MPEC (Mathematical Programs with Equilibrium Constraints) and MPCC (Mathematical Programs with Complementarity Constraints). We briefly review techniques used for numerical solution of these problems: penalty methods, nonlinear programming (NLP) techniques and Implicit Programming approach (ImP). We further present a new theoretical framework for the ImP technique that is particularly useful in case of difficult equilibria. Finally, three numerical examples are presented: an MPEC that can be solved by ImP but can hardly be formulated as a nonlinear program, an MPCC that cannot be solved by ImP and finally an MPEC solvable by both, ImP and NLP techniques. In the last example we compare the efficiency of the two approaches.},
	language = {en},
	number = {1},
	urldate = {2023-05-17},
	journal = {Mathematical Programming},
	author = {Kočvara, Michal and Outrata, Jiří V.},
	month = sep,
	year = {2004},
	keywords = {Generalize Equation, Mathematical Program, Nonlinear Programming, Problem Type, Program Approach},
	pages = {119--149},
	file = {Full Text PDF:/home/shenyuan/Zotero/storage/6PH73ZR7/Kočvara and Outrata - 2004 - Optimization problems with equilibrium constraints.pdf:application/pdf},
}

@article{ben-tal_optimal_2000,
	title = {Optimal {Design} of {Trusses} {Under} a {Nonconvex} {Global} {Buckling} {Constraint}},
	volume = {1},
	issn = {1573-2924},
	url = {https://doi.org/10.1023/A:1010091831812},
	doi = {10.1023/A:1010091831812},
	abstract = {We propose a novel formulation of a truss design problem involving a constraint on the global stability of the structure due to the linear buckling phenomenon. The optimization problem is modelled as a nonconvex semidefinite programming problem. We propose two techniques for the numerical solution of the problem and apply them to a series of numerical examples.},
	language = {en},
	number = {2},
	urldate = {2023-05-18},
	journal = {Optimization and Engineering},
	author = {Ben-Tal, Aharon and Jarre, Florian and Kočvara, Michal and Nemirovski, Arkadi and Zowe, Jochem},
	month = jul,
	year = {2000},
	keywords = {buckling, nonconvex semidefinite programming, truss design},
	pages = {189--213},
	file = {Full Text PDF:/home/shenyuan/Zotero/storage/JI5ELFMQ/Ben-Tal et al. - 2000 - Optimal Design of Trusses Under a Nonconvex Global.pdf:application/pdf},
}

@article{achtziger_structural_2008,
	title = {Structural {Topology} {Optimization} with {Eigenvalues}},
	volume = {18},
	issn = {1052-6234},
	url = {https://epubs.siam.org/doi/abs/10.1137/060651446},
	doi = {10.1137/060651446},
	abstract = {The goal of this paper is to formulate and solve free material optimization problems with constraints on the smallest eigenfrequency of the optimal structure. A natural formulation of this problem as a linear semidefinite program turns out to be numerically intractable. As an alternative, we propose a new approach, which is based on a nonlinear semidefinite low-rank approximation of the semidefinite dual. We introduce an algorithm based on this approach and analyze its convergence properties. The article is concluded by numerical experiments proving the effectiveness of the new approach.},
	number = {4},
	urldate = {2023-05-30},
	journal = {SIAM Journal on Optimization},
	author = {Achtziger, Wolfgang and Kočvara, Michal},
	month = jan,
	year = {2008},
	note = {Publisher: Society for Industrial and Applied Mathematics},
	pages = {1129--1164},
}

@article{Liu2015,
  doi = {10.1007/s00158-015-1356-3},
  url = {https://doi.org/10.1007/s00158-015-1356-3},
  year = {2015},
  month = nov,
  publisher = {Springer Science and Business Media {LLC}},
  volume = {53},
  number = {4},
  pages = {847--859},
  author = {Hu Liu and Weihong Zhang and Tong Gao},
  title = {Structural topology optimization under rotating load},
  journal = {Structural and Multidisciplinary Optimization}
}

@article{Venini2016,
  doi = {10.1016/j.compstruc.2016.07.012},
  url = {https://doi.org/10.1016/j.compstruc.2016.07.012},
  year = {2016},
  month = dec,
  publisher = {Elsevier {BV}},
  volume = {177},
  pages = {12--22},
  author = {Paolo Venini},
  title = {Dynamic compliance optimization: Time vs frequency domain strategies},
  journal = {Computers {\&} Structures}
}

@article{Ma1993,
  doi = {10.1007/bf00370133},
  url = {https://doi.org/10.1007/bf00370133},
  year = {1993},
  month = dec,
  publisher = {Springer Science and Business Media {LLC}},
  volume = {13},
  number = {3},
  pages = {157--174},
  author = {Z. -D. Ma and N. Kikuchi and I. Hagiwara},
  title = {Structural topology and shape optimization for a frequency response problem},
  journal = {Computational Mechanics}
}

@article{Liu2015rev,
  doi = {10.1007/s00158-014-1218-4},
  url = {https://doi.org/10.1007/s00158-014-1218-4},
  year = {2015},
  month = jan,
  publisher = {Springer Science and Business Media {LLC}},
  volume = {51},
  number = {6},
  pages = {1321--1333},
  author = {Hu Liu and Weihong Zhang and Tong Gao},
  title = {A comparative study of dynamic analysis methods for structural topology optimization under harmonic force excitations},
  journal = {Structural and Multidisciplinary Optimization}
}

@article{Dorn1964,
	author = {Dorn, William S. and Gomory, Ralph E. and Greenberg, Herbert J.},
	journal = {J. Mec.},
	pages = {25--52},
	title = {{Automatic design of optimal structures}},
	volume = {3},
	number = {1},
	year = {1964}
}

@article{Michell_1904,
	doi = {10.1080/14786440409463229},
	year = 1904,
	publisher = {Informa {UK} Limited},
	volume = {8},
	number = {47},
	pages = {589--597},
	author = {A.G.M. Michell},
	title = {The limits of economy of material in frame-structures},
	journal = {Lond. Edinb. Dubl. Phil. Mag.}
}

@article{Achtziger_1992,
    doi = {10.1016/0899-8248(92)90005-s},
    year = 1992,
    publisher = {Elsevier {BV}},
    volume = {4},
    number = {4},
    pages = {315--345},
    author = {W. Achtziger and M. P. Bends{\o}e and A. Ben-Tal and J. Zowe},
    title = {Equivalent displacement based formulations for maximum strength truss topology design},
    journal = {Impact Comput. Sci. Eng.}
}
@article{BenTal1997,
  doi = {10.1137/s1052623495291951},
  url = {https://doi.org/10.1137/s1052623495291951},
  year = {1997},
  month = nov,
  publisher = {Society for Industrial {\&} Applied Mathematics ({SIAM})},
  volume = {7},
  number = {4},
  pages = {991--1016},
  author = {A. Ben-Tal and A. Nemirovski},
  title = {Robust Truss Topology Design via Semidefinite Programming},
  journal = {{SIAM} Journal on Optimization}
}

@book{Ben_Tal_2001,
    doi = {10.1137/1.9780898718829},
    year = 2001,
    publisher = {Society for Industrial and Applied Mathematics},
    author = {Aharon Ben-Tal and Arkadi Nemirovski},
    title = {Lectures on modern convex optimization}
}
@article{Lobo_1998,
    doi = {10.1016/s0024-3795(98)10032-0},
    year = 1998,
    publisher = {Elsevier {BV}},
    volume = {284},
    number = {1-3},
    pages = {193--228},
    author = {Miguel Sousa Lobo and Lieven Vandenberghe and Stephen Boyd and Herv{\'{e}} Lebret},
    title = {Applications of second-order cone programming},
    journal = {Linear Alg. Appl.}
}
@article{Ohsaki1999,
  doi = {10.1016/s0045-7825(99)00056-0},
  url = {https://doi.org/10.1016/s0045-7825(99)00056-0},
  year = {1999},
  month = nov,
  publisher = {Elsevier {BV}},
  volume = {180},
  number = {1-2},
  pages = {203--217},
  author = {M. Ohsaki and K. Fujisawa and N. Katoh and Y. Kanno},
  title = {Semi-definite programming for topology optimization of trusses under multiple eigenvalue constraints},
  journal = {Computer Methods in Applied Mechanics and Engineering}
}

@article{Vandenberghe_1996,
    doi = {10.1137/1038003},
    year = 1996,
    publisher = {Society for Industrial {\&} Applied Mathematics ({SIAM})},
    volume = {38},
    number = {1},
    pages = {49--95},
    author = {Lieven Vandenberghe and Stephen Boyd},
    title = {Semidefinite Programming},
    journal = {{SIAM} Rev.}
}

@article{Zhang2015,
  doi = {10.1088/0964-1726/24/8/085024},
  url = {https://doi.org/10.1088/0964-1726/24/8/085024},
  year = {2015},
  month = jul,
  publisher = {{IOP} Publishing},
  volume = {24},
  number = {8},
  pages = {085024},
  author = {Xiaopeng Zhang and Zhan Kang},
  title = {Topology optimization of magnetorheological fluid layers in sandwich plates for semi-active vibration control},
  journal = {Smart Materials and Structures}
}

@article{Kang2006,
  doi = {10.1007/s00158-005-0575-4},
  url = {https://doi.org/10.1007/s00158-005-0575-4},
  year = {2006},
  month = jan,
  publisher = {Springer Science and Business Media {LLC}},
  volume = {31},
  number = {2},
  pages = {81--95},
  author = {Byung-Soo Kang and Gyung-Jin Park and Jasbir S. Arora},
  title = {A review of optimization of structures subjected to transient loads},
  journal = {Structural and Multidisciplinary Optimization}
}

@article{Liu2008,
  doi = {10.1016/j.compstruc.2007.04.030},
  url = {https://doi.org/10.1016/j.compstruc.2007.04.030},
  year = {2008},
  month = jul,
  publisher = {Elsevier {BV}},
  volume = {86},
  number = {13-14},
  pages = {1417--1425},
  author = {Ling Liu and Jun Yan and Gengdong Cheng},
  title = {Optimum structure with homogeneous optimum truss-like material},
  journal = {Computers {\&} Structures}
}

@article{Tyburec2019,
  doi = {10.1016/j.matdes.2019.108131},
  url = {https://doi.org/10.1016/j.matdes.2019.108131},
  year = {2019},
  month = dec,
  publisher = {Elsevier {BV}},
  volume = {183},
  pages = {108131},
  author = {M. Tyburec and J. Zeman and J. Nov{\'{a}}k and M. Lep{\v{s}} and T. Plach{\'{y}} and R. Poul},
  title = {Designing modular 3D printed reinforcement of wound composite hollow beams with semidefinite programming},
  journal = {Materials {\&} Design}
}